/* Processing code for this example*/

  // Graphing sketch

  // This program takes ASCII-encoded strings from the serial port at 9600 baud
  // and graphs them. It expects values in the range 0 to 1023, followed by a
  // newline, or newline and carriage return

  // created 20 Apr 2005
  // updated 24 Nov 2015
  // by Tom Igoe
  //modified 2017 by margaretha haughwout for proc 3
  // This example code is (kind of) in the public domain -- need to update and modify

  import processing.serial.*;

  Serial myPort;        // The serial port
  int xPos = 1;         // horizontal position of the graph
  float inByte = 0;
  float colorz;
  String msg;  // to get list of ports

  void setup () {
    // set the window size:
    size(600, 600);

    // List all the available serial ports
    println(Serial.list());
    
   
    //THEN count through the list beginning with 0 since it's an array, and find the serial port Arduino is using.
    // plug in the array index number below (My port is 5)

    myPort = new Serial(this, Serial.list()[5], 9600);
    myPort.bufferUntil('\n');
    
  
    // set initial background:
    background(0);
  }

  void draw () {
    // draw the line:
    stroke(colorz, 255-colorz, colorz);
    line(xPos, height, xPos, height - inByte);

    // at the edge of the screen, go back to the beginning:
    if (xPos >= width) {
      xPos = 0;
      background(0);
    } else {
      // increment the horizontal position:
      xPos++;
    }
  }

  void serialEvent (Serial myPort) {
    // get the ASCII string:
    String inString = myPort.readStringUntil('\n');

    colorz = map(inByte, 0,height, 0,255);
    
    if (inString != null) {
      // trim off any whitespace:
      inString = trim(inString);
      // convert to an int and map to the screen height:
      inByte = float(inString);
      println(inByte);
      inByte = map(inByte, 0, 1023, 0, height);
    }
  }